/bugsnag-projects | Type: Application | PCID required: Yes
Tools
bugsnag_projects_create_organization_project
Create a Project in an Organization Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
organization_id | string | Yes | — | ID of the organization |
ignore_old_browsers | boolean | No | — | For javascript projects this will filter errors from older browsers |
name | string | Yes | — | The new Project’s name. Note that the first character should not start with a ’$’. |
type | string | Yes | — | used for Projects that use a framework other than those listed above |
bugsnag_projects_create_project_event_field
Create a custom Event Field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project |
filter_options | object | Yes | — | Filter Options |
path | string | Yes | — | Path to locate the relevant data inside an Event data structure |
pivot_options | object | No | — | Pivot Options |
reindex | boolean | No | — | Whether to reindex historical events for this field |
bugsnag_projects_create_user_starred_feature_flag
Star a Feature Flag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project. |
feature_flag_id | string | Yes | — | ID of the Feature Flag to star. |
bugsnag_projects_delete_project
Delete a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the project |
bugsnag_projects_delete_project_event_field_by_display_id
Delete a custom Event Field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project |
display_id | string | Yes | — | human friendly ID for the EventField |
bugsnag_projects_delete_project_feature_flag
Delete a Feature Flag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project. |
id | string | Yes | — | ID of the Feature Flag to unstar. |
bugsnag_projects_delete_user_project_starred_feature_flag
Unstar a Feature Flag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project. |
id | string | Yes | — | ID of the Feature Flag to unstar. |
bugsnag_projects_get_organization_projects
List an Organization’s Projects Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
organization_id | string | Yes | — | the ID of the organization |
q | string | No | — | Search projects with names matching parameter |
sort | string | No | — | Which field to sort the results by |
direction | string | No | — | Which direction to sort the results by. Defaults to desc for all sorts except favorite. Defaults to asc if sorting by favorite (cannot sort favorites desc). |
per_page | number | No | — | How many results to return per page |
bugsnag_projects_get_project
View a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the project |
bugsnag_projects_get_project_feature_flag
Get a Feature Flag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | ID of the FeatureFlag. |
project_id | string | Yes | — | ID of the Project. |
release_stage_name | string | Yes | — | Release stage name to get the feature flags for. |
include_variant_summary | boolean | No | — | Whether to include a summary of the Variants for the Feature Flag. |
bugsnag_projects_get_project_feature_flag_error_overview
Get a Feature Flag’s Error Overview Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | ID of the FeatureFlag. |
project_id | string | Yes | — | ID of the Project. |
release_stage_name | string | Yes | — | Release stage name to get the feature flags for. |
bugsnag_projects_get_project_feature_flag_variants
List Variants on a Feature Flag by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | ID of the feature flag. |
project_id | string | Yes | — | ID of the project. |
release_stage_name | string | No | — | Release stage name to get the variants for. |
q | string | No | — | Search for feature flags with a name matching this query parameter. Supports case-insensitive substring matching. |
per_page | number | No | — | How many results to return per page. |
bugsnag_projects_get_project_feature_flag_variants_by_name
List Variants on a Feature Flag by name Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
name | string | Yes | — | Name of the feature flag, case-sensitive and with no substring matching. |
project_id | string | Yes | — | ID of the project. |
release_stage_name | string | No | — | Release stage name to get the variants for. |
q | string | No | — | Search for feature flag variants with a name matching this query parameter. Supports case-insensitive substring matching. |
per_page | number | No | — | How many results to return per page. |
bugsnag_projects_get_project_feature_flag_variants_error_overview
Get a Feature Flag Variant’s Error Overview Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | ID of the FeatureFlag. |
project_id | string | Yes | — | ID of the Project. |
variant_ids | string[] | Yes | — | IDs for the FeatureFlag variants. |
release_stage_name | string | Yes | — | Release stage name to get the feature flags for. |
bugsnag_projects_get_project_network_grouping_ruleset
List a Project’s Network Grouping Ruleset Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to retrieve the endpoints for |
bugsnag_projects_get_project_page_load_span_group_by_id
Show a Page Load Span Group by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the Page Load Span Group belongs. |
id | string | Yes | — | The URL-encoded ID of the Page Load Span Group. |
filters | object[] | No | — | The current filters that are being applied. |
bugsnag_projects_get_project_performance_score_overview
Get Performance Score Overview for Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the project to retrieve the performance score for. |
release_stage_name | string | No | — | The name of the release stage to filter the performance score. |
bugsnag_projects_get_project_release_by_id
View a Release Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project |
release_id | string | Yes | — | ID of release to view |
bugsnag_projects_get_project_span_group
Show a Span Group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the Span Group belongs. |
id | string | Yes | — | The URL-encoded ID of the Span Group. |
filters | object[] | No | — | The current filters that are being applied. |
bugsnag_projects_get_project_span_group_distribution
Get a Span Group’s distribution Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the Span Group belongs. |
id | string | Yes | — | The URL-encoded ID of the Span Group. |
filters | object[] | No | — | The current filters that are being applied. |
bugsnag_projects_get_project_span_group_timeline
Get a Span Group’s timeline Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the Span Group belongs. |
id | string | Yes | — | The URL-encoded ID of the Span Group. |
filters | object[] | No | — | The current filters that are being applied. |
bugsnag_projects_get_project_stability_trend
View the stability trend for a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the project to retrieve stability information for |
bugsnag_projects_get_release_group
Retrieve a Release Group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | ID of release group to get |
bugsnag_projects_get_spans_by_category_and_name
Get Spans for a Span Group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the spans belong. |
category | string | Yes | — | The name of the Span Group Category. |
name | string | Yes | — | The URL-encoded name of the Span Group. |
bugsnag_projects_list_project_event_fields
List the Event Fields for a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project |
bugsnag_projects_list_project_feature_flag_summaries
List Feature Flag Summaries for a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project. |
q | string | No | — | Search for feature flags with a name matching this query parameter. Supports case-insensitive substring matching. |
per_page | number | No | — | How many results to return per page. |
bugsnag_projects_list_project_feature_flags
List Feature Flags on a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project. |
release_stage_name | string | Yes | — | Release stage name to get the feature flags for. |
starred_at_top | boolean | No | — | Whether to return starred Feature Flags at the top of the Feature Flags list. |
include_variant_summary | boolean | No | — | Whether to include a summary of the Variants for each Feature Flag. |
q | string | No | — | Search for feature flags with a name matching this query parameter. Supports case-insensitive substring matching. |
first_seen | string | No | — | Filter to Feature Flags that were first seen in the release stage within the specified time frame. |
include_inactive | boolean | No | — | Whether to include inactive Feature Flags. |
sort | string | No | — | Which field to sort on. |
direction | string | No | — | Which direction to sort the results by. |
per_page | number | No | — | How many results to return per page. |
bugsnag_projects_list_project_page_load_span_groups
List Page Load Span Groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the Page Load Span Groups belong. |
sort | string | No | — | The field to sort the page load span groups by |
direction | string | No | — | The direction to sort the page load span groups by |
per_page | number | No | — | the number of results per page |
offset | number | No | — | the offset for the next page of results |
filters | object[] | No | — | The current filters that are being applied. |
starred_only | boolean | No | — | Whether to only return Page Load Span Groups the requesting user has starred. |
bugsnag_projects_list_project_release_groups
List Release Groups on a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the project |
release_stage_name | string | Yes | — | name of release stage to list release groups for |
top_only | boolean | No | — | return only the top release groups (default false) |
visible_only | boolean | No | — | return only visible release groups (default false) |
per_page | number | No | — | how many results to return per page |
page_token | string | No | — | value from the next relation in the Link response header to obtain the next page of results |
bugsnag_projects_list_project_releases
List Releases on a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project |
release_stage | string | No | — | release stage to filter by |
base | string | No | — | date and time (in ISO 8601 format) to search for releases before |
sort | string | No | — | How to sort the results |
offset | number | No | — | The pagination offset |
per_page | number | No | — | How many results (between 1 and 10) to return per page |
bugsnag_projects_list_project_span_group_performance_targets
List Performance Targets for a Span Group by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the span group belongs. |
id | string | Yes | — | The URL-encoded ID of the Span Group. |
bugsnag_projects_list_project_span_group_summaries
List Span Group Summaries for a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the Span Groups belong. |
per_page | integer | No | — | the number of results per page |
offset | integer | No | — | the offset for the next page of results |
filters | object[] | No | — | The current filters that are being applied. |
bugsnag_projects_list_project_span_groups
List Span Groups on a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the Span Groups belong. |
sort | string | No | — | The field to sort the span groups by |
direction | string | No | — | The direction to sort the span groups by |
per_page | integer | No | — | the number of results per page |
offset | integer | No | — | the offset for the next page of results |
filters | object[] | No | — | The current filters that are being applied. |
starred_only | boolean | No | — | Whether to only return Span Groups the requesting user has starred. |
bugsnag_projects_list_project_starred_span_groups
List the starred Span Group descriptions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the project to which the Span Groups belong. |
categories | string[] | No | — | The performance categories of the Span Groups. |
per_page | integer | No | — | the number of results per page |
offset | integer | No | — | the offset for the next page of results |
bugsnag_projects_list_project_trace_fields
List the Trace Fields on a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the Trace Field belongs. |
bugsnag_projects_list_release_group_releases
List Releases on a Release Group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
release_group_id | string | Yes | — | ID of release group to list releases for |
per_page | number | No | — | how many results to return per page |
page_token | string | No | — | value from the next relation in the Link response header to obtain the next page of results |
bugsnag_projects_list_spans_by_span_group_id
List Spans for a Span Group by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the spans belong. |
id | string | Yes | — | The URL-encoded ID of the Span Group. |
filters | object[] | No | — | The current filters that are being applied. |
sort | string | No | — | The field to sort the results by. |
direction | string | No | — | The direction to sort the results by. |
per_page | integer | No | — | The number of results to return per page. Defaults to 20. |
bugsnag_projects_list_spans_by_trace_id
List Spans for a Trace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the spans belong. |
trace_id | string | Yes | — | The ID of the Trace to which the spans belong. |
from | string | Yes | — | Beginning of window to return spans from. |
to | string | Yes | — | End of window to return spans from. |
target_span_id | string | No | — | The ID of a Span within the Trace to focus on. If provided the target Span and its direct children will be returned ahead of other Spans in the Trace. |
per_page | integer | No | — | The number of results to return per page. Defaults to 20. |
bugsnag_projects_replace_project_error_assignment_rules
Replace the ErrorAssignmentRules on a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the ErrorAssignmentRule belongs. |
assignment_rules | object[] | No | — | Assignment Rules |
bugsnag_projects_update_project
Update a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the project |
collaborator_ids | string[] | No | — | If provided in the request, the Project will be updated so that its set of Collaborators will reflect those indicated by this list of ids. Existing Collaborators whose ids do not appear in the list will be removed from the Project. |
discarded_app_versions | any[] | No | — | A list of app versions whose events will be discarded if received for the Project. Supports regular expressions and semver ranges. Errors matching these versions won’t be processed by Bugsnag, and you won’t receive notifications about them. |
discarded_errors | any[] | No | — | A list of Error classes whose events will be discarded if received for the Project. Errors with these classes won’t be processed by Bugsnag, and you won’t receive notifications about them. |
global_grouping | any[] | No | — | A list of error classes. Events with these classes will be grouped by their class, regardless of the location that they occur in the Project’s source code. Altering a Project’s global_grouping will not cause existing errors to be regrouped. Note: In the UI this is referred to as grouping by error class. Example: ["foo", "bar"] |
ignore_old_browsers | boolean | No | — | Whether the Events in the Project will be ignored if they originate from old web browsers. Relevant to JavaScript Projects only. |
ignored_browser_versions | object | No | — | Relevant to JavaScript Projects only. A mapping a of browser name to browser version. If set, Events in the Project will be ignored if they originate from a browser specified here whose version is earlier than the given version. Keys must be one of the following strings: chrome, ie, firefox, safari, android, uc, opera, opera_mini, samsung, blackberry, sogou, other. Values must be a number indicating which which version to ignore up to (but not including), or one of the strings: ignore_all, ignore_none Example: { "chrome": "ignore_none", "safari": 6, "other": "ignore_all" } |
location_grouping | any[] | No | — | A list of error classes. Events with these classes will be grouped by their context. Altering a Project’s location_grouping will not cause existing errors to be regrouped. Note: In the UI this is referred to as grouping by error context. |
name | string | No | — | The name value |
resolve_on_deploy | boolean | No | — | If true, every error in the Project will be marked as ‘fixed’ after using the Deploy Tracking API to notify Bugsnag of a new production deploy. Applies to non-JavaScript Projects only. |
url_whitelist | any[] | No | — | When configured, the script source of each error’s innermost stack trace’s top frame is checked. If the script was not served from a matching domain the error will not be processed by BugSnag and will be discarded. Provide a list of newline separated domain names. To match example.com and its subdomains specify *.example.com. Relevant to JavaScript Projects only. |
bugsnag_projects_update_project_event_field_by_display_id
Update a custom Event Field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | ID of the Project |
display_id | string | Yes | — | human friendly ID for the EventField |
filter_options | object | Yes | — | Filter Options |
path | string | Yes | — | Path to locate the relevant data inside an Event data structure |
pivot_options | object | No | — | Pivot Options |
reindex | boolean | No | — | Whether to reindex historical events for this field |
bugsnag_projects_update_project_network_grouping_ruleset
Update a Project’s Network Grouping Ruleset Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to retrieve the endpoints for |
endpoints | string[] | Yes | — | The URL patterns by which network spans are grouped. |
bugsnag_projects_update_project_span_group
Update Span Group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | string | Yes | — | The ID of the Project to which the Span Group belongs. |
id | string | Yes | — | The URL-encoded ID of the Span Group. |
is_starred | boolean | No | — | whether or not the Span Group is starred by the user. |
bugsnag_projects_update_release_group
Update a Release Group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | ID of release group to update |
visible | boolean | Yes | — | the updated visibility |

